/*
 *  Copyright (c) 2016 Spotify AB.
 *
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */

#import <Foundation/Foundation.h>

/// JSON key used to encode an accessory
static NSString * const HUBJSONKeyAccessory = @"accessory";

/// JSON key used to encode an array of actions
static NSString * const HUBJSONKeyActions = @"actions";

/// JSON key used to encode background information
static NSString * const HUBJSONKeyBackground = @"background";

/// JSON key used to encode the body of an object
static NSString * const HUBJSONKeyBody = @"body";

/// JSON key used to encode a category
static NSString * const HUBJSONKeyCategory = @"category";

/// JSON key used to encode children of an object
static NSString * const HUBJSONKeyChildren = @"children";

/// JSON key used to encode a component definition
static NSString * const HUBJSONKeyComponent = @"component";

/// JSON key used to encode custom data
static NSString * const HUBJSONKeyCustom = @"custom";

/// JSON key used to encode a date
static NSString * const HUBJSONKeyDate = @"date";

/// JSON key used to encode a description text
static NSString * const HUBJSONKeyDescription = @"description";

/// JSON key used to encode a feature identifier
static NSString * const HUBJSONKeyFeature = @"feature";

/// JSON key used to encode a group identifier
static NSString * const HUBJSONKeyGroup = @"group";

/// JSON key used to encode a header definition
static NSString * const HUBJSONKeyHeader = @"header";

/// JSON key used to encode an icon identifier
static NSString * const HUBJSONKeyIcon = @"icon";

/// JSON key used to encode an identifier
static NSString * const HUBJSONKeyIdentifier = @"id";

/// JSON key used to encode a set of image data
static NSString * const HUBJSONKeyImages = @"images";

/// JSON key used to encode logging data
static NSString * const HUBJSONKeyLogging = @"logging";

/// JSON key used to encode the main part of a data aset
static NSString * const HUBJSONKeyMain = @"main";

/// JSON key used to encode a set of metadata
static NSString * const HUBJSONKeyMetadata = @"metadata";

/// JSON key used to encode a series of overlays
static NSString * const HUBJSONKeyOverlays = @"overlays";

/// JSON key used to encode a placeholder identifier
static NSString * const HUBJSONKeyPlaceholder = @"placeholder";

/// JSON key used to encode a subtitle
static NSString * const HUBJSONKeySubtitle = @"subtitle";

/// JSON key used to encode target information
static NSString * const HUBJSONKeyTarget = @"target";

/// JSON key used to encode a set of text data
static NSString * const HUBJSONKeyText = @"text";

/// JSON key used to encode a title
static NSString * const HUBJSONKeyTitle = @"title";

/// JSON key used to encode an URI
static NSString * const HUBJSONKeyURI = @"uri";

/// JSON key used to encode a view identifier
static NSString * const HUBJSONKeyView = @"view";
